# ``twisted`.`web`.`guard`.`DigestCredentialFactory``

class documentation

`class DigestCredentialFactory: (source)`

Implements interfaces: `twisted.web.iweb.ICredentialFactory`

View In Hierarchy

Wrapper for `digest.DigestCredentialFactory` that implements the `ICredentialFactory` interface.

Method | `__init__` | Create the digest credential factory that this object wraps.
Method | `decode` | Create a `twisted.cred.credentials.DigestedCredentials` object from the given response and request.
Method | `getChallenge` | Generate the challenge for use in the WWW-Authenticate header
Class Variable | `scheme` | A `str` giving the name of the authentication scheme with which this factory is associated. For example, `'basic'` or `'digest'`.
Instance Variable | `digest` | Undocumented

def __init__(self, algorithm, authenticationRealm): (source)
Create the digest credential factory that this object wraps.
def decode(self, response, request): (source)
from `twisted.web.iweb.ICredentialFactory`
Create a `twisted.cred.credentials.DigestedCredentials` object from the given response and request.

See Also
`ICredentialFactory.decode`

def getChallenge(self, request): (source)
from `twisted.web.iweb.ICredentialFactory`
Generate the challenge for use in the WWW-Authenticate header

Parameters
request | The `IRequest` to with access was denied and for the response to which this challenge is being generated.
Returns
The `dict` that can be used to generate a WWW-Authenticate header.

scheme: `bytes` = (source)
from `twisted.web.iweb.ICredentialFactory`
A `str` giving the name of the authentication scheme with which this factory is associated. For example, `'basic'` or `'digest'`.
digest = (source)

Undocumented